import './App.css'
import { ThemeProvider } from '@mui/material/styles'
import { Routes, Route } from 'react-router-dom'

import HomePage from './Pages/Home/Homepage'
import VideoCall from './Pages/VideoCall/VideoCall'
import SignInSide from './Pages/SignIn/SignInSide'

import { theme } from './Services/Utils/theme'
import { Box } from '@mui/material'

function App() {
  return (
    <ThemeProvider theme={theme}>
      <Box className='App'>
        <Routes>
          <Route path='/' element={<SignInSide />} />
          <Route path='/home' element={<HomePage />} />
          <Route path='/videocall' element={<VideoCall />} />
          <Route path='/:channel' element={<VideoCall />} />
        </Routes>
      </Box>
    </ThemeProvider>
  )
}

export default App
